Bug Hunting Session
Bug 68781 - FILEOPEN Report Builder produced chart-in-writer drops date values
Summary: FILEOPEN Report Builder produced chart-in-writer drops date values
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Reports-Builder
  Show dependency treegraph
 
Reported: 2013-08-31 07:24 UTC by Lionel Elie Mamane
Modified: 2018-06-25 02:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
reproduction example (as generetad by Base Report Builder) (7.06 KB, application/vnd.oasis.opendocument.text)
2013-08-31 07:24 UTC, Lionel Elie Mamane
Details
reproduction example (without date-scale) (7.08 KB, application/vnd.oasis.opendocument.text)
2013-08-31 07:25 UTC, Lionel Elie Mamane
Details
reproduction example (without any date format) (6.99 KB, application/vnd.oasis.opendocument.text)
2013-08-31 07:31 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-31 07:24:36 UTC
Created attachment 84950 [details]
reproduction example (as generetad by Base Report Builder)

Consider the attached document (created by Base Report Builder).

It contains a chart (and not much else). It uses internal data, that comes in <table:table table:name="local-table">. It contains two columns:

 - column A: categories (locations on X axis)
   values 5 20 25 40

 - column B: data series labelled 'Date'
   values 2013-01-12 2013-02-23 2013-03-02 2013-10-02

Now, open (in Writer) the data table of the chart. The "Date" data series is all blank; the values were purely and simply dropped.

On the other hand, the "Categories" column (series) is formatted as dates. I also don't understand why that is. The only date format in the chart object (content.xml) is  <number:date-style number:automatic-order="true" style:name="N10051">, which is used only in <style:style style:family="chart" style:name="ch5" >, which itself is used only on the *y* axis, while the categories are used for the *x* axis, and the format does not match anyway. I thought, maybe this is because of the <chartooo:date-scale/> tag on the x, but even if I remove it (see second attachment: "without date-scale"), they still get displayed as dates.
Comment 1 Lionel Elie Mamane 2013-08-31 07:25:49 UTC
Created attachment 84951 [details]
reproduction example (without date-scale)
Comment 2 Lionel Elie Mamane 2013-08-31 07:31:34 UTC
Created attachment 84952 [details]
reproduction example (without any date format)

Even without any hint of any date-related anything in the file (except the values in the *SECOND* column which have nothing to do with the categories!), the categories are still shown as dates.
Comment 3 Alex Thurgood 2013-09-02 15:08:43 UTC
Who usually handles chart XML integration into Writer ?

Alex
Comment 4 Lionel Elie Mamane 2014-07-23 06:29:00 UTC
Markus, since you are our Chart guy, what do you think about this one? Thanks in advance.
Comment 5 QA Administrators 2015-12-20 16:20:15 UTC Comment hidden (obsolete)
Comment 6 Robert Großkopf 2015-12-20 19:14:23 UTC
Couldn't test it because of https://bugs.documentfoundation.org/show_bug.cgi?id=92720
Reports with charts couldn't be opened since LO 5.0.0.3 ...
Comment 7 Alex Thurgood 2015-12-21 09:25:36 UTC
In

Version: 5.2.0.0.alpha0+
Build ID: ce3d3f5543e3e132a3473af27aa2c827336add0f
CPU Threads: 2; OS Version: -; UI Render: default; 
Locale : fr-FR (fr.UTF-8)

the first test document opened in Writer displays a chart grid containing no data, curves or block graphs.

The X axis abscissa displays the values 5 20 25 40
The Y axis abscissa displays datetime formatted values :
11/01/1900
09/01/1900
07/01/1900
05/01/1900
03/01/1900
01/01/1900
30/12/1899

all with zero time values.
The 1st and 2nd test documents appear identical on screen.

The 3rd test document shows integers in the Y axis abscissa
Comment 8 Alex Thurgood 2015-12-21 09:26:53 UTC
COnfirming still present on
Version: 5.2.0.0.alpha0+
Build ID: ce3d3f5543e3e132a3473af27aa2c827336add0f
CPU Threads: 2; OS Version: -; UI Render: default; 
Locale : fr-FR (fr.UTF-8)
Comment 9 QA Administrators 2018-06-25 02:41:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug